
local t = Def.ActorFrame{

	LoadActor(THEME:GetPathG("","sticon_shadow"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X-69.5+3;y,SCREEN_CENTER_Y+108+10+3);
		OnCommand=cmd(diffusealpha,0;sleep,0.125;linear,0.3;diffusealpha,0.5;);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
	};

-- part2
	LoadActor(THEME:GetPathG("","icon_decide4"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X-69.5;y,SCREEN_CENTER_Y+108+10);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;diffusealpha,1;cropright,-0.3;cropleft,1;linear,0.2;cropleft,-0.3;glowshift;effectcolor1,color("1,0,0,1");effectcolor2,color("0.5,0,0.4,0.8");effectperiod,1);
		LoseFocusCommand=cmd(diffusealpha,1;linear,0.25;diffusealpha,0);
	};
-- part3
	LoadActor(THEME:GetPathG("","icon_decide1"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X-69.5-28;y,SCREEN_CENTER_Y+108-35+10);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;diffusealpha,1;cropright,-0.3;cropleft,1;linear,0.5;cropleft,-0.3);
		LoseFocusCommand=cmd(linear,0.2;addy,10;diffusealpha,0;linear,0.1;addy,-10);
	};
-- part4
		LoadActor(THEME:GetPathG("","icon_decide2"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X-69.5+35;y,SCREEN_CENTER_Y+108+40+10);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;diffusealpha,1;cropleft,-0.3;cropright,1;linear,0.5;cropright,-0.3);
		LoseFocusCommand=cmd(linear,0.2;addy,-10;diffusealpha,0;linear,0.1;addy,10);
	};
-- part1
	LoadActor("_icon")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-69.5;y,SCREEN_CENTER_Y+108+10);
		OnCommand=cmd(zoom,1;diffusealpha,0;);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;zoom,1;diffusealpha,1;accelerate,0.4;zoom,1.35;diffusealpha,0;sleep,4;zoom,1;queuecommand,"GainFocus";);
		LoseFocusCommand=cmd(finishtweening;diffusealpha,0;);
	};

	LoadActor("_icon")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-69.5;y,SCREEN_CENTER_Y+108+10);
		OnCommand=cmd(;addx,SCREEN_WIDTH;sleep,0.125;decelerate,0.3;addx,-SCREEN_WIDTH;);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;linear,0.1;diffuse,color("1,1,1,1"));
		LoseFocusCommand=cmd(linear,0.1;;diffuse,color("0.5,0.5,0.5,1"););
	};

-- part6
	LoadActor("_label")..{
		InitCommand=cmd(x,SCREEN_CENTER_X+180;y,SCREEN_CENTER_Y+20+20;vertalign,bottom;);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;diffusealpha,0;sleep,0.4;glow,color("0.25,0.1,0.6,1");zoomy,10;accelerate,0.025;diffuse,color("1,1,1,1");accelerate,0.05;diffusealpha,0.5;zoom,1;linear,0.05;diffusealpha,1;linear,0.025;glow,color("0,0.5,1,0"));
		LoseFocusCommand=cmd(visible,false);
	};
-- part5
	LoadActor("_explain1")..{
		InitCommand=cmd(x,SCREEN_CENTER_X-158;y,SCREEN_CENTER_Y-88+20);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;addx,20;diffusealpha,0;zoomx,210;zoomy,1.5;linear,0.45;zoomx,1.75;glow,color("0.6,0,0.6,1");addx,-20;zoomx,1.25;linear,0.05;glow,color("0.3,0,0.3,1");diffusealpha,1;zoom,1;linear,0.1;glow,color("0.3,0,0.3,0"));
		LoseFocusCommand=cmd(visible,false);
	};
-- part5
	Def.Sprite{
		InitCommand=function(self)
			self:x(SCREEN_CENTER_X-118);
			self:y(SCREEN_CENTER_Y-29+20);
			if IsNetConnected() then
				self:Load(THEME:GetPathG("ScreenSelectStyle","Icon ChoiceSolo/_explain3"));
			else
				self:Load(THEME:GetPathG("ScreenSelectStyle","Icon ChoiceSolo/_explain2"));
			end;
		end;
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;diffusealpha,0;addy,15;sleep,0.1;decelerate,0.3;addy,-15;diffusealpha,1;glow,color("0.6,0,0.6,0");linear,0.05;glow,color("0.6,0,0.6,1");linear,0.05;glow,color("0.3,0,0.3,1");diffusealpha,1;linear,0.1;glow,color("0.3,0,0.3,0"));
		LoseFocusCommand=cmd(visible,false);
	};
	
	LoadActor(THEME:GetPathG("","styleinfo_back"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-60+20;);
		OnCommand=cmd(finishtweening;visible,true;diffusealpha,0;);
		OffCommand=cmd(finishtweening;visible,false;linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;zoom,1;glow,color("1,0,0.2,0.6");accelerate,0.2;glow,color("1,0,0.2,0");linear,0.025;diffusealpha,0;sleep,7;queuecommand,"GainFocus";);
		LoseFocusCommand=cmd(finishtweening;visible,false;);
	};

	LoadActor(THEME:GetPathG("","styleinfo_back"))..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y-60+20;);
		OnCommand=cmd(diffusealpha,0;glow,color("0.25,0.1,0.6,1");zoomy,1;accelerate,0.025;diffusealpha,1;accelerate,0.2;glow,color("0.25,0.1,0.6,0");zoomy,1.2;linear,0.025;diffusealpha,0;);
		OffCommand=cmd(linear,0.1;diffusealpha,0);
		GainFocusCommand=cmd(finishtweening;visible,true;diffusealpha,0;glow,color("0.25,0.1,0.6,1");zoomy,1;accelerate,0.2;diffusealpha,1;accelerate,0.05;glow,color("0.25,0.1,0.6,0");zoomy,1.2;linear,0.025;diffusealpha,0;zoom,1;);
		LoseFocusCommand=cmd(finishtweening;visible,false);
	};
};

return t;